package pwc.taxtech.atms.service;

import pwc.taxtech.atms.dto.CellTemplateConfigDto;
import pwc.taxtech.atms.dto.OperationResultDto;

import java.util.List;

public interface CellTemplateService {
    OperationResultDto<List<CellTemplateConfigDto>> getCellConfigList(Long templateId);

    OperationResultDto<CellTemplateConfigDto> getCellConfig(Long cellTemplateId);

    OperationResultDto saveOrEdit(CellTemplateConfigDto cellTemplateConfig);
}
