package pwc.taxtech.atms.service;

import java.util.List;

import pwc.taxtech.atms.dto.navtree.DevTreeDto;
import pwc.taxtech.atms.dto.navtree.RolePermissionDisplayDto;

public interface PermissionService {

    RolePermissionDisplayDto getIvhTreePermissionsByRoleId(String roleId, String serviceType);
    
    @SuppressWarnings("rawtypes")
    List<DevTreeDto> getIvhTreePermissionsByRoleIdList(List<String> roleIdList, String serviceType);
    
    @SuppressWarnings("rawtypes")
    List<DevTreeDto> getAllPermissions(String serviceType);
}
