package pwc.taxtech.atms.service;

import java.util.List;
import java.util.Map;

import pwc.taxtech.atms.dpo.ProjectDisplayDto;
import pwc.taxtech.atms.dto.ProjectClientDto;
import pwc.taxtech.atms.dto.ServiceTypeDto;
import pwc.taxtech.atms.dto.taxadmin.AddProjectResult;

public interface ProjectService {

    /**
     * Find Top level areas (parentId == null)
     * 
     * @return List<Area>
     */
    List<ServiceTypeDto> getServiceList();

    // List<ProjectDisplayDto> getProjectList(String orgId, String serviceId,
    // Integer projectYear);
    // List<ProjectDisplayDto> getOneProjectByDbNameServiceIdAndPeriodId(String
    // dbName, String serviceId, Integer periodId);
    // List<ProjectDisplayDto> getAllProjectList(String orgId, String serviceId,
    // Integer projectYear);
    // List<ProjectDisplayDto> getProjectById(String projectId);
    // List<ProjectDisplayDto> getProjectListExceptSelected(String userId);
    //
    // ProjectDisplayDto getSingleProjectById(String projectId);
    //
    // AddProjectResult addProject(ProjectDisplayDto projectDto, String userName);
    //
    // OperationResultDto<Object> updateProject(ProjectDisplayDto projectDto, String
    // userName);

    List<ProjectClientDto> getProjectClientList();

    List<ProjectDisplayDto> getProjectById(String projectId);

    List<ProjectDisplayDto> getAllProjectList(String orgId, String s, Integer projectYear);

    AddProjectResult addProject(ProjectDisplayDto projectDto, String userName);

    Map<Integer,Integer> getProjectAllStatus(String dbName);

    // Map<Integer, Integer> getProjectAllStatus(String dbName);

}
