package pwc.taxtech.atms.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.entity.CellTemplateConfig;
import pwc.taxtech.atms.entity.CellTemplateConfigExample;

import java.util.List;

@Service
public class CellTemplateConfigDao {
    @Autowired
    private CellTemplateConfigMapper mapper;

    public List<CellTemplateConfig> getByTemplateId(Long id) {
        CellTemplateConfigExample example = new CellTemplateConfigExample();
        CellTemplateConfigExample.Criteria criteria = example.createCriteria();
        criteria.andReportTemplateIdEqualTo(id);
        return mapper.selectByExample(example);
    }


}
